#ifndef _IOKIT_IOEVENTSOURCE_H
#define _IOKIT_IOEVENTSOURCE_H

#include <sys/cdefs.h>
#include <libkern/c++/OSObject.h>
#include <IOKit/IOLib.h>
#include <IOKit/system.h>
#include <IOKit/IOWorkLoop.h>
#include <mach/clock_types.h>
#include <kern/clock.h>

class IOEventSource : public OSObject
{

public:

/*getWorkLoop


Get'ter for workLoop variable. 
public

virtual IOWorkLoop *getWorkLoop() const; 
Return Value

Returns the value of workLoop.*/
virtual IOWorkLoop *getWorkLoop() const; 

};

#endif 
